2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Update freetext

Prev Next
Patch
/freetexts/{id}/

Operation is used to update freetext. Available from product version 2025.3. Supports partial updates (PATCH) for modifying specific fields.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
id
integerRequired

Id of freetext to update

Body parameters

Freetext fields to be updated

object

FreeText for create/update operations

angle
number (float)

Text rotation angle in degrees

color
string

Text color in hex format (e.g.,

Pattern^#[0-9a-fA-F]{6}$
Example#FF0000
font_size
integer Required

Font size in points

location
string (ewkt)

Geographical location as EWKT representation

plan
integer

ID of plan

state
integer

ID of freetext state constant

text
string Required

Free text content

type
integer

ID of freetext type constant

Responses
200

Updated freetext

object

FreeText for create/update operations

angle
number (float)

Text rotation angle in degrees

color
string

Text color in hex format (e.g.,

Pattern^#[0-9a-fA-F]{6}$
Example#FF0000
created_by
string

Created by user

created_date
string (date-time)

Date of creation

font_size
integer

Font size in points

id
integer

Unique id of free text

location
string (ewkt)

Geographical location as EWKT representation

plan
integer

ID of plan

state
integer

ID of freetext state constant

text
string

Free text content

type
integer

ID of freetext type constant

updated_by
string

Updated by user

updated_date
string (date-time)

Date of last update

400

There was an error in request. Usually field validation failed.

{
  "font_size": [
    "Ensure this value is greater than 0."
  ]
}
object

Fields which failed validation

property*
Array of string additionalProperties

List of validation errors for this fieldname

string

Validation error

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object
details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object
details
string

Detailed description of error